import { Circle, Line, Point, Rect } from './util/geometry/types';
export declare function linearSample<T>(points: T[], n: number): any[];
export declare function getLine(points: Point[], max_deviation?: number): Line | null;
export declare function getRectangle(points: Point[]): Rect | null;
export declare function getCircle(points: Point[], max_deviation?: number): Circle | null;
